<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myGeoBoundaryLabel" jhiTranslate="mpmApp.geoBoundary.home.createOrEditLabel">Create or edit a Geo Boundary</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!geoBoundary.idGeobou">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="geoBoundary.idGeobou" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.geoBoundary.geocode" for="field_geocode">Geocode</label>
            <input type="text" class="form-control" name="geocode" id="field_geocode"
                [(ngModel)]="geoBoundary.geocode"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.geoBoundary.description" for="field_description">Description</label>
            <input type="text" class="form-control" name="description" id="field_description"
                [(ngModel)]="geoBoundary.description"  />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.geoBoundary.geoBoundaryType" for="field_geoBoundaryType">Geo Boundary Type</label>
            <select class="form-control" id="field_geoBoundaryType" name="geoBoundaryType" [(ngModel)]="geoBoundary.geoBoundaryTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="geoBoundaryTypeOption.idGeobouType" *ngFor="let geoBoundaryTypeOption of geoboundarytypes; trackBy: trackGeoBoundaryTypeById">{{geoBoundaryTypeOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
